@if (projectDataMap$ | async; as projectDataMap) {
  <sqtm-core-customisable-dialog
    [titleKey]="data.titleKey"
    [dialogId]="data.id"
    (confirm)="confirm()"
  >
    <sqtm-core-dialog-body>
      <div class="flex-column full-width full-height">
        @if (
          !data.writingRightOnLine ||
          cantEditCategory(projectDataMap) ||
          data.canOnlyEditStatus
        ) {
          <div class="flex-row">
            <div class="flex" style="align-items: center">
              <i
                nz-icon
                class="sqtm-core-icon"
                nzType="info-circle"
                nzTheme="twotone"
                [nzTwotoneColor]="'#1890FF'"
              ></i>
            </div>
            <div class="flex-column">
              @if (!data.writingRightOnLine) {
                <div class="m-r-5 m-t-5 m-b-5 m-l-5">
                  <span [attr.data-test-dialog-message]="'no-writing-right'">{{
                    'sqtm-core.search.generic.modify.no-writing-rights'
                      | translate
                  }}</span>
                </div>
              }
              @if (data.canOnlyEditStatus) {
                <div class="m-r-5 m-t-5 m-b-5 m-l-5">
                  <span
                    [attr.data-test-dialog-message]="'can-only-edit-status'"
                  >
                    {{
                      'sqtm-core.search.requirement.modify.uneditable-status'
                        | translate
                    }}</span
                  >
                </div>
              }
              @if (cantEditCategory(projectDataMap)) {
                <div class="m-r-5 m-t-5 m-b-5 m-l-5">
                  <span
                    [attr.data-test-dialog-message]="'different-info-lists'"
                    >{{
                      'sqtm-core.search.generic.modify.different-info-lists'
                        | translate
                    }}</span
                  >
                </div>
              }
            </div>
          </div>
        }
        <div class="grid-optionals">
          <sqtm-core-optional-select-field
            [fieldName]="'status'"
            [i18nKey]="'sqtm-core.entity.generic.status.label'"
            [selectedValue]="'WORK_IN_PROGRESS'"
            [displayOptions]="getStatusValues()"
          >
          </sqtm-core-optional-select-field>
          <sqtm-core-optional-select-field
            [fieldName]="'criticality'"
            [i18nKey]="'sqtm-core.entity.generic.criticality.label'"
            [selectedValue]="'CRITICAL'"
            [disable]="data.canOnlyEditStatus"
            [displayOptions]="getCriticalityValues()"
          >
          </sqtm-core-optional-select-field>
          <sqtm-core-optional-select-field
            [fieldName]="'category'"
            [i18nKey]="'sqtm-core.entity.requirement.category.label'"
            [selectedValue]="getDefaultCategory(projectDataMap)"
            [disable]="
              data.canOnlyEditStatus || cantEditCategory(projectDataMap)
            "
            [displayOptions]="getCategoryValues(projectDataMap)"
          >
          </sqtm-core-optional-select-field>
        </div>
      </div>
    </sqtm-core-dialog-body>
  </sqtm-core-customisable-dialog>
}
